API Explorer 935 endpoints

Get Public Accounts at all Banks

GET /obp/v7.0.0/accounts/public

OBPv2.0.0-publicAccountsAllBanks No role required Account-PublicAccountPublicData

Get public accounts at all banks (Anonymous access). Returns accounts that contain at least one public view (a view where is_public is true) For each account the API returns the ID and the available views.

User Authentication is Optional. The User need not be logged in.

JSON response body fields (7)
accounts
bank_id
gh.29.uk
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_public
false
label
My Account
short_name
views_available
Example success response
{
  "accounts": [
    {
      "id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
      "label": "NoneLabel",
      "bank_id": "gh.29.uk",
      "views_available": [
        {
          "id": "1",
          "short_name": "HHH",
          "is_public": true
        }
      ]
    }
  ]
}
Possible errors (2)
  • OBP-30066: Could not get accounts.
  • OBP-50000: Unknown Error.
Implemented by OBPv2.0.0 publicAccountsAllBanks Originally /obp/v2.0.0/accounts/public